package ru.yandex.webmaster3.storage.user.notification;

import ru.yandex.webmaster3.storage.notifications.NotificationChannel;

/**
 * Created by ifilippov5 on 12.03.18.
 */
public class Setting {
    private final NotificationType type;
    private final NotificationChannel channel;
    private final HostNotificationMode mode;

    public Setting(NotificationType type, NotificationChannel channel, HostNotificationMode mode) {
        this.type = type;
        this.channel = channel;
        this.mode = mode;
    }

    public NotificationType getType() {
        return type;
    }

    public NotificationChannel getChannel() {
        return channel;
    }

    public HostNotificationMode getMode() {
        return mode;
    }
}
